<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>
        <script type="text/javascript">
            function funcion1(){
                //nombre=document.formulario.cnombre.value;
                nombre=document.querySelectorAll("#inombre").value;
                console.log(nombre);
            }
        </script>
        <!-- da igual donde pones la funcion, se ejecutan sólo cuando las llamas, mejor al lado de las variables -->
        <script>
            var nombre = 'Tu Nombre';                      
            var a = 1;
            var b = 2;
            var c = 0;

            nombre=prompt('Introduce tu nombre');

            console.log(nombre);

        </script>
        <form name="formulario"> <!-- le ponemos name para poder llamarlo desde function, la forma antigua -->
            <label for="inombre">Introduce tu nombre</label>
            <input type="text" name="cnombre" placeholder="escribe tu nombre" id="inombre"> 
            <!-- poner lo mismo en for que en id, sirve para accesibilidad, en la pag pinchas en el label y te lleva al input. 
                el placeholder es lo que sale escrito en el input cuando abres la pag -->
            <button type="button" onclick="funcion1()">Leer</button> 
            <!-- puede ser type submit o type button, seria lo mismo que poner el input <input type="button" value="Leer">, el leer aparece igual -->
            
        </form>
    </body>
</html>
        
